.the-search-box
  +trans
  max-height: 0
  opacity: 0
  visibility: hidden
  padding-top: 0
  padding-bottom: 0
  color: $c-black
  height: 0
  &.is-active
    height: auto
    max-height: 200px
    padding-top: 40px
    padding-bottom: 40px
    opacity: 1
    visibility: visible

.search-box
  position: relative
  .control
    border: 1px solid $c-white
    input, button
      border: none
      padding: 1em
      line-height: 1.5em
    input
      position: relative
      z-index: 1
      width: 100%
      max-width: 90%
    .button
      margin-right: 0
      position: absolute
      top: 0
      right: 0
      z-index: 2
      background: none
      border: none
      min-width: 60px
      text-align: center

.search-toggle
  .i-icon:first-child
    margin-right: 0.25rem
